
// Copyright (c) 2000 Oracle Corporation
package oracle.portal.provider.v2.externalApp;

import oracle.portal.provider.v2.ProviderException;

/**
 * ExternalAppException is the base class for all exceptions relating
 * to external applications - most specifically, those relating to
 * authentication
 */
public class ExternalAuthenticationException extends ProviderException
{
    public ExternalAuthenticationException() {
        super();
    }

    public ExternalAuthenticationException(String msg) {
        super(msg);
    }

    public ExternalAuthenticationException(Throwable _t) {
        super(_t);
    }

    /**
    * When the portal receives an ExternalAuthenticationException it will,
    * by default, display a UI that includes a link to the login server so
    * the user can enter or modify their external application user mapping
    * information.  If you want the display of this UI to be handled by your
    * provider, you should call this method with <code>true</code> as the
    * parameter value before throwing the exception. This option gives you
    * the ability to control the text/format in which the link is displayed.
    * 
    *
    * If you decide to handle the UI yourself, the SHOW call will include a
    * link you can use to direct the user to the login server.  
    */
    public void setCallShow(boolean show) {
        mCallShow = show;
    }

    public boolean getCallShow() {
        return mCallShow;
    }

    private boolean mCallShow = false;

}

